#!/bin/bash -e

# Apply baseline remediations
/usr/local/bin/azsecd remediate -m all

OSVER=$(grep Ubuntu /etc/issue | awk '{print $2}')
OSMAJORVER=$(echo $OSVER | cut -d "." -f 1)

# For Precise/12.04, remove cleartext passwords that are created by cloud-init
if [ $OSMAJORVER -eq 12 ]; then
    sed -i 's/\(^exit\)/\/usr\/local\/bin\/clearPasswords.sh\n\1/g' /etc/rc.local
    # Script will run at each boot, run once now to make sure passwords are cleared
    /etc/rc.local
fi
